package experimentdatabase;

/**
 * Base class for all experiment database related exceptions. Check for inner exceptions to obtain detailed cause for
 * this one. This is not checked exception, so you don't have to mark it on each method or catch just after thrown.
 * 
 * @author Tomasz Pawlak
 * 
 */
public class DatabaseException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	public DatabaseException(String message) {
		super(message);
	}

	public DatabaseException(String message, Exception innerException) {
		super(message, innerException);
	}

}
